%bcond_without  python3
%global pkgname django-ajax-selects

Name:           python-django-ajax-selects
Version:        1.3.4
Release:        5%{?dist}
Summary:        Enables editing of ForeignKey, ManyToMany and simple text fields

Group:          Development/Languages
License:        MIT or GPL+
URL:            https://github.com/crucialfelix/django-ajax-selects
Source:         http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-django
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

Provides:	%{pkgname} = %{version}-%{release} 
Obsoletes:	%{pkgname} < 1.1.4-6

%description
Enables editing of ForeignKey, ManyToMany and simple text fields using the 
Autocomplete - jQuery plugin.
django-ajax-selects will work in any normal form as well as in the admin.
The user is presented with a text field. They type a search term or a few 
letters of a name they are looking for, an ajax request is sent to the server,
a search channel returns possible results. Results are displayed as a drop 
down menu. When an item is selected it is added to a display area just below
the text field.

%if 0%{?with_python3}
%package -n python3-django-ajax-selects
Summary:        Intelligent schema migrations for Django apps
Group:          Development/Languages

Requires:       python3-django

%description -n python3-django-ajax-selects
Enables editing of ForeignKey, ManyToMany and simple text fields using the
Autocomplete - jQuery plugin.
django-ajax-selects will work in any normal form as well as in the admin.
The user is presented with a text field. They type a search term or a few
letters of a name they are looking for, an ajax request is sent to the server,
a search channel returns possible results. Results are displayed as a drop
down menu. When an item is selected it is added to a display area just below
the text field.
%endif

%prep
%setup -q -n %{pkgname}-%{version}

%if 0%{?with_python3}
cp -a . %{py3dir}
%endif

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif

%files
%doc ajax_select/LICENSE.txt
%doc ajax_select/docs/*
%doc example/*
%{python_sitelib}/ajax_select
%{python_sitelib}/django_ajax_selects-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-django-ajax-selects
%doc ajax_select/LICENSE.txt
%doc ajax_select/docs/*
%doc example/*
%{python3_sitelib}/ajax_select
%{python3_sitelib}/django_ajax_selects-%{version}-py?.?.egg-info
%endif

%changelog
* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 1.3.4-5
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 1.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Thu Apr 10 2014 Luis Bazan <lbazan@fedoraporject.org> - 1.3.4-2
- add compatibility with python3

* Thu Apr 10 2014 Luis Bazan <lbazan@fedoraporject.org> - 1.3.4-1
- New Upstream version

* Tue Feb 04 2014 Luis Bazan <lbazan@fedoraproject.org> - 1.3.3-1
- New upstream version

* Mon Sep 16 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2.5-3
- correct django-ajax-selects obs_ver once more, since there's an even
  newer build in F17

* Tue Sep 10 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2.5-2
- correct django-ajax-selects obs_ver

* Tue Aug 13 2013 Luis Bazan <lbazan@fedoraproject.org> - 1.2.5-1
- New Upstream Version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Domingo Becker <domingobecker@gmail.com> - 1.2.4-1
- Update to new upstream version.
- Removed first line.
- Fixed BuildRequires to make it more readable.
- Removed python-django as required for build.
- Fixed dependency python-devel to python2-devel.
- Fixed docs in files section.
- Fixed "installed but unpackaged" error for egg-info in files section.

* Tue May 29 2012 Domingo Becker <domingobecker@gmail.com> - 1.1.4-5
- Removed BuildRoot, clean, defattr and rm -rf buildroot.

* Sat May 26 2012 Domingo Becker <domingobecker@gmail.com> - 1.1.4-4
- Package rename to python-django-ajax-selects. Please read
  https://fedoraproject.org/wiki/User:Bkabrda/Django_rename

* Sat Nov 20 2010 Domingo Becker <domingobecker@gmail.com> - 1.1.4-3
- Fixed License tag.
- Updated tarball to upstream one.

* Mon Nov 08 2010 Domingo Becker <domingobecker@gmail.com> - 1.1.4-2
- Fixed some rpmlint warnings.

* Mon Sep 27 2010 Domingo Becker <domingobecker@gmail.com> - 1.1.4-1
- Initial RPM release

